package ru.kolevatykh.spring.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.FaultAction;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.2.7
 * 2020-04-15T00:02:41.939+03:00
 * Generated source version: 3.2.7
 *
 */
@WebService(targetNamespace = "http://endpoint.spring.kolevatykh.ru/", name = "ITokenEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface ITokenEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/openTokenSessionAuthRequest", output = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/openTokenSessionAuthResponse", fault = {@FaultAction(className = AuthenticationException_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/openTokenSessionAuth/Fault/AuthenticationException"), @FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/openTokenSessionAuth/Fault/Exception"), @FaultAction(className = EmptyInputException_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/openTokenSessionAuth/Fault/EmptyInputException")})
    @RequestWrapper(localName = "openTokenSessionAuth", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.OpenTokenSessionAuth")
    @ResponseWrapper(localName = "openTokenSessionAuthResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.OpenTokenSessionAuthResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.lang.String openTokenSessionAuth(
        @WebParam(name = "login", targetNamespace = "")
        java.lang.String login,
        @WebParam(name = "password", targetNamespace = "")
        java.lang.String password
    ) throws AuthenticationException_Exception, Exception_Exception, EmptyInputException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/getUserByTokenRequest", output = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/getUserByTokenResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/getUserByToken/Fault/Exception")})
    @RequestWrapper(localName = "getUserByToken", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.GetUserByToken")
    @ResponseWrapper(localName = "getUserByTokenResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.GetUserByTokenResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.kolevatykh.spring.endpoint.UserDTO getUserByToken(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/closeTokenSessionRequest", output = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/closeTokenSessionResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/closeTokenSession/Fault/Exception")})
    @RequestWrapper(localName = "closeTokenSession", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.CloseTokenSession")
    @ResponseWrapper(localName = "closeTokenSessionResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.CloseTokenSessionResponse")
    public void closeTokenSession(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/closeAllTokenSessionRequest", output = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/closeAllTokenSessionResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/closeAllTokenSession/Fault/Exception")})
    @RequestWrapper(localName = "closeAllTokenSession", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.CloseAllTokenSession")
    @ResponseWrapper(localName = "closeAllTokenSessionResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.CloseAllTokenSessionResponse")
    public void closeAllTokenSession(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/openTokenSessionRegRequest", output = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/openTokenSessionRegResponse", fault = {@FaultAction(className = AuthenticationException_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/openTokenSessionReg/Fault/AuthenticationException"), @FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/openTokenSessionReg/Fault/Exception"), @FaultAction(className = EmptyInputException_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/openTokenSessionReg/Fault/EmptyInputException")})
    @RequestWrapper(localName = "openTokenSessionReg", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.OpenTokenSessionReg")
    @ResponseWrapper(localName = "openTokenSessionRegResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.OpenTokenSessionRegResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.lang.String openTokenSessionReg(
        @WebParam(name = "login", targetNamespace = "")
        java.lang.String login,
        @WebParam(name = "password", targetNamespace = "")
        java.lang.String password
    ) throws AuthenticationException_Exception, Exception_Exception, EmptyInputException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/getListTokenSessionRequest", output = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/getListTokenSessionResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.spring.kolevatykh.ru/ITokenEndpoint/getListTokenSession/Fault/Exception")})
    @RequestWrapper(localName = "getListTokenSession", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.GetListTokenSession")
    @ResponseWrapper(localName = "getListTokenSessionResponse", targetNamespace = "http://endpoint.spring.kolevatykh.ru/", className = "ru.kolevatykh.spring.endpoint.GetListTokenSessionResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.kolevatykh.spring.endpoint.SessionDTO> getListTokenSession(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;
}
